<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ImageWatermark extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("images", function (Blueprint $table) {
           $table->unsignedBigInteger("gallery")->nullable()->change();
           $table->enum("typ", ["gallery", "watermark"])->default("gallery");
        });

        Schema::table("tenants", function (Blueprint $table) {
           $table->unsignedBigInteger("watermark")->nullable()->default(null);
        });

        Schema::table("access", function (Blueprint $table) {
           $table->unsignedBigInteger("gallery")->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
